org.icefaces.ace.component.fileentry

## Class FileEntry

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.fileentry.FileEntryBase
      - - org.icefaces.ace.component.fileentry.FileEntry

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IFileEntry, org.icefaces.component.Focusable

      public class FileEntry
      extends FileEntryBase
      implements org.icefaces.component.Focusable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.fileentry.FileEntryBase

      `FileEntryBase.PropertyKeys`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.fileentry.FileEntryBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addMessageFromRequired(javax.faces.context.FacesContext facesContext)`
    `protected void` | `addMessagesFromResults(javax.faces.context.FacesContext facesContext)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `java.lang.String` | `getCallbackEL()`
    `java.lang.String` | `getFacesMessageLabel()`
    `java.lang.String` | `getFocusedElementId()`
    `java.lang.String` | `getProgressGroupName(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getProgressResourceName(javax.faces.context.FacesContext context)`
    `boolean` | `isImmediateValidation()` Return the value of the `immediateValidation` property.
    `boolean` | `isViaCallback()`
    `void` | `processDecodes(javax.faces.context.FacesContext facesContext)`
    `void` | `processValidators(javax.faces.context.FacesContext facesContext)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `reset()`
    `void` | `setResults(FileEntryResults results)` Set the value of the `results` property.
    `protected void` | `validateResults(javax.faces.context.FacesContext facesContext)` Invoked by processDecodes(FacesContext) or processValidators(FacesContext)

    - ### Methods inherited from class org.icefaces.ace.component.fileentry.FileEntryBase

      `getAbsolutePath, getAccesskey, getFamily, getFileEntryListener, getLabel, getMaxFileCount, getMaxFileCountMessage, getMaxFileSize, getMaxFileSizeMessage, getMaxTotalSize, getMaxTotalSizeMessage, getRelativePath, getRequiredMessage, getResults, getSize, getStyle, getStyleClass, getTabindex, isAutoUpload, isDisabled, isImmediate, isMessagePersistence, isMultiple, isPropertySet, isRequired, isUseOriginalFilename, isUseSessionSubdir, setAbsolutePath, setAccesskey, setAutoUpload, setDisabled, setFileEntryListener, setImmediate, setImmediateValidation, setLabel, setMaxFileCount, setMaxFileCountMessage, setMaxFileSize, setMaxFileSizeMessage, setMaxTotalSize, setMaxTotalSizeMessage, setMessagePersistence, setMultiple, setRelativePath, setRequired, setRequiredMessage, setSize, setStyle, setStyleClass, setTabindex, setUseOriginalFilename, setUseSessionSubdir, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileEntry

          public FileEntry()

  - ### Method Detail

    - #### setResults

          public void setResults(FileEntryResults results)

      Description copied from class: `FileEntryBase`

      Set the value of the `results` property.

      Contents: Maintains the results of the most recent file upload operation. From this, applications can retrieve the uploaded files' information, such as the file name, MIME content type, size, location where the file has been stored, and status of the success of the upload. If saving a FileEntryResults object or FileEntryResults.FileInfo objects, in your application, then save a clone of the objects, instead.

      Specified by:
        `setResults` in interface `IFileEntry`
      Overrides:
        `setResults` in class `FileEntryBase`

    - #### reset

          public void reset()

    - #### getCallbackEL

          public java.lang.String getCallbackEL()

    - #### isViaCallback

          public boolean isViaCallback()

    - #### getProgressResourceName

          public java.lang.String getProgressResourceName(javax.faces.context.FacesContext context)

    - #### getProgressGroupName

          public java.lang.String getProgressGroupName(javax.faces.context.FacesContext context)

    - #### validateResults

          protected void validateResults(javax.faces.context.FacesContext facesContext)

      Invoked by processDecodes(FacesContext) or processValidators(FacesContext)

    - #### addMessagesFromResults

          protected void addMessagesFromResults(javax.faces.context.FacesContext facesContext)

    - #### addMessageFromRequired

          protected void addMessageFromRequired(javax.faces.context.FacesContext facesContext)

    - #### getFacesMessageLabel

          public java.lang.String getFacesMessageLabel()

      Returns:
        The label property, if specified, else the clientId

    - #### isImmediateValidation

          public boolean isImmediateValidation()

      Description copied from class: `FileEntryBase`

      Return the value of the `immediateValidation` property.

      Contents: Initially, validation of maxTotalSize, maxFileSize, maxFileCount, and required was fixed at APPLY_REQUEST_VALUES phase for technical reasons. Now that it can happen in PROCESS_VALIDATIONS, there are backwards compatibility constraints, so it's tied off of this new property instead of the typical immediate property. And this property's default value must give the pre-existing behaviour, not the newly available one. Validation must happen before the FileEntryEvent is broadcast and the fileEntryListener is invoked, so if immediate is true, then immediateValidation must be true as well. Baring that constraint, when immediateValidation is false, validation will occur in PROCESS_VALIDATIONS phase, otherwise when immediateValidation is true or unspecified, it will occur during APPLY_REQUEST_VALUES phase. Default = 'true'.

      Specified by:
        `isImmediateValidation` in interface `IFileEntry`
      Overrides:
        `isImmediateValidation` in class `FileEntryBase`

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext facesContext)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext facesContext)

      Overrides:
        `processValidators` in class `javax.faces.component.UIComponentBase`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`

    - #### getFocusedElementId

          public java.lang.String getFocusedElementId()

      Specified by:
        `getFocusedElementId` in interface `org.icefaces.component.Focusable`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.